## tilemaker-static 1.0.15.g8e186b0-1~eob120+1

=== Makefile ===
.PHONY: clean name version fullname dist dist-bzip2

NAME=tilemaker-static
VERSION=$(shell (test -d .git && git describe || cat VERSION) | sed 's/^v//; s/-/./g')

prefix = /usr

DIST_FILES = \
	COPYING \
	Makefile \
	README.md \
	index.html \
	fonts \
	spec.json \
	style-bright.json \
	style-hdm.json

all:

clean:
	rm -rf sdist

dist: clean
	-mkdir sdist
	rm -rf sdist/$(NAME)-$(VERSION)
	mkdir -p sdist/$(NAME)-$(VERSION)
	for i in $(DIST_FILES); do \
		cp -R "$$i" sdist/$(NAME)-$(VERSION); \
	done

install:
	mkdir -p $(DESTDIR)$(prefix)/share/tilemaker/static/
	install index.html spec.json style-bright.json style-hdm.json $(DESTDIR)$(prefix)/share/tilemaker/static/
	cp -a fonts $(DESTDIR)$(prefix)/share/tilemaker/static/

dist-bzip2: dist
	-mkdir sdist
	cd sdist && tar cfj ../sdist/$(NAME)-$(VERSION).tar.bz2 $(NAME)-$(VERSION)

version:
	@(echo $(VERSION))

name:
	@(echo $(NAME))

fullname:
	@(echo $(NAME)-$(VERSION))

=== debian/changelog ===
tilemaker-static (1.0.15.g8e186b0-1~eob120+1) bookworm-eobuilder; urgency=low

  * (8e186b) replace links by buttons to change style without reloading (#108761)
  * (d74781) build: add missing index.html to distributed files (#102387)
  * (982bfe) ci: add Jenkinsfile (#102387)
  * (4bfab9) build: add dist rules to Makefile (#102387)
  * (f20798) debian: add copyright file (#102387)
  * (c02216) add AGPL (#102387)
  * (a9fd18) add a few more general words to README (#102387)
  * (173177) add style selection to demo page (#102387)
  * (741912) debian: fix datetime in changelog entry (#102387)
  * (197b8b) debian: rewrite description (#102387)
  * (22682b) add own style (#102401)
  * (9c165d) archive original style as "style-bright.json" (#102387)
  * (92c0ed) debian: remove trailing newlines (#102387)
  * (0766bc) debian: remove generated directories/files (#102387)
  * (346836) build: add .gitignore (#102387)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 31 Jul 2025 09:13:09 +0200

tilemaker-static (1.0) bookworm-eobuilder; urgency=low

  * (60cab4) initial import

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 07 Jan 2025 10:52:02 +0100

## tilemaker-static 1.0.16.g82db3c5-1~eob120+1

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	index.html \
 	fonts \
 	spec.json \
+	sprite.png \
 	style-bright.json \
 	style-hdm.json
 
@@ -30,7 +31,7 @@
 
 install:
 	mkdir -p $(DESTDIR)$(prefix)/share/tilemaker/static/
-	install index.html spec.json style-bright.json style-hdm.json $(DESTDIR)$(prefix)/share/tilemaker/static/
+	install index.html spec.json sprite.png style-bright.json style-hdm.json $(DESTDIR)$(prefix)/share/tilemaker/static/
 	cp -a fonts $(DESTDIR)$(prefix)/share/tilemaker/static/
 
 dist-bzip2: dist

=== debian/changelog ===
tilemaker-static (1.0.16.g82db3c5-1~eob120+1) bookworm-eobuilder; urgency=low

  * (82db3c) add sprite.png from openmaptiles (#108970)
  * (8e186b) replace links by buttons to change style without reloading (#108761)
  * (d74781) build: add missing index.html to distributed files (#102387)
  * (982bfe) ci: add Jenkinsfile (#102387)
  * (4bfab9) build: add dist rules to Makefile (#102387)
  * (f20798) debian: add copyright file (#102387)
  * (c02216) add AGPL (#102387)
  * (a9fd18) add a few more general words to README (#102387)
  * (173177) add style selection to demo page (#102387)
  * (741912) debian: fix datetime in changelog entry (#102387)
  * (197b8b) debian: rewrite description (#102387)
  * (22682b) add own style (#102401)
  * (9c165d) archive original style as "style-bright.json" (#102387)
  * (92c0ed) debian: remove trailing newlines (#102387)
  * (0766bc) debian: remove generated directories/files (#102387)
  * (346836) build: add .gitignore (#102387)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 08 Aug 2025 14:22:59 +0200

=== debian/control ===
Source: tilemaker-static
Section: utils
Priority: optional
Maintainer: Pierre Ducroquet <pducroquet@entrouvert.com>
Build-Depends: debhelper-compat (= 12)

Package: tilemaker-static
Architecture: all
Description: Style files for tilemaker
 tilemaker-static provides styles for the tilemaker vector system, it has
 "bright" style (from the tilemaker examples) and "hdm" style (recreation
 of the bitmap style for vector tiles).

## tilemaker-static 1.0.17.g282867a-1~eob120+1

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	index.html \
 	fonts \
 	spec.json \
+	sprite.json \
 	sprite.png \
 	style-bright.json \
 	style-hdm.json
@@ -31,7 +32,7 @@
 
 install:
 	mkdir -p $(DESTDIR)$(prefix)/share/tilemaker/static/
-	install index.html spec.json sprite.png style-bright.json style-hdm.json $(DESTDIR)$(prefix)/share/tilemaker/static/
+	install index.html spec.json sprite.json sprite.png style-bright.json style-hdm.json $(DESTDIR)$(prefix)/share/tilemaker/static/
 	cp -a fonts $(DESTDIR)$(prefix)/share/tilemaker/static/
 
 dist-bzip2: dist

=== debian/changelog ===
tilemaker-static (1.0.17.g282867a-1~eob120+1) bookworm-eobuilder; urgency=low

  * (282867) add sprite.json from openmaptiles (#108970)
  * (82db3c) add sprite.png from openmaptiles (#108970)
  * (8e186b) replace links by buttons to change style without reloading (#108761)
  * (d74781) build: add missing index.html to distributed files (#102387)
  * (982bfe) ci: add Jenkinsfile (#102387)
  * (4bfab9) build: add dist rules to Makefile (#102387)
  * (f20798) debian: add copyright file (#102387)
  * (c02216) add AGPL (#102387)
  * (a9fd18) add a few more general words to README (#102387)
  * (173177) add style selection to demo page (#102387)
  * (741912) debian: fix datetime in changelog entry (#102387)
  * (197b8b) debian: rewrite description (#102387)
  * (22682b) add own style (#102401)
  * (9c165d) archive original style as "style-bright.json" (#102387)
  * (92c0ed) debian: remove trailing newlines (#102387)
  * (0766bc) debian: remove generated directories/files (#102387)
  * (346836) build: add .gitignore (#102387)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 08 Aug 2025 14:31:32 +0200

## tilemaker-static 1.0.19.ga46f265-1~eob120+1

=== debian/changelog ===
tilemaker-static (1.0.19.ga46f265-1~eob120+1) bookworm-eobuilder; urgency=low

  * (a46f26) use French as preferred language (#109003)
  * (afb609) distribute process-openmaptiles.lua (#109003)
  * (282867) add sprite.json from openmaptiles (#108970)
  * (82db3c) add sprite.png from openmaptiles (#108970)
  * (8e186b) replace links by buttons to change style without reloading (#108761)
  * (d74781) build: add missing index.html to distributed files (#102387)
  * (982bfe) ci: add Jenkinsfile (#102387)
  * (4bfab9) build: add dist rules to Makefile (#102387)
  * (f20798) debian: add copyright file (#102387)
  * (c02216) add AGPL (#102387)
  * (a9fd18) add a few more general words to README (#102387)
  * (173177) add style selection to demo page (#102387)
  * (741912) debian: fix datetime in changelog entry (#102387)
  * (197b8b) debian: rewrite description (#102387)
  * (22682b) add own style (#102401)
  * (9c165d) archive original style as "style-bright.json" (#102387)
  * (92c0ed) debian: remove trailing newlines (#102387)
  * (0766bc) debian: remove generated directories/files (#102387)
  * (346836) build: add .gitignore (#102387)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 11 Aug 2025 12:46:25 +0200

## tilemaker-static 1.1-1~eob120+1

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	README.md \
 	index.html \
 	fonts \
+	process-openmaptiles.lua \
 	spec.json \
 	sprite.json \
 	sprite.png \
@@ -34,6 +35,8 @@
 	mkdir -p $(DESTDIR)$(prefix)/share/tilemaker/static/
 	install index.html spec.json sprite.json sprite.png style-bright.json style-hdm.json $(DESTDIR)$(prefix)/share/tilemaker/static/
 	cp -a fonts $(DESTDIR)$(prefix)/share/tilemaker/static/
+	mkdir -p $(DESTDIR)$(prefix)/share/tilemaker/process/
+	install process-openmaptiles.lua $(DESTDIR)$(prefix)/share/tilemaker/process/
 
 dist-bzip2: dist
 	-mkdir sdist

=== debian/changelog ===
tilemaker-static (1.1-1~eob120+1) bookworm-eobuilder; urgency=low

  * (a46f26) use French as preferred language (#109003)
  * (afb609) distribute process-openmaptiles.lua (#109003)
  * (282867) add sprite.json from openmaptiles (#108970)
  * (82db3c) add sprite.png from openmaptiles (#108970)
  * (8e186b) replace links by buttons to change style without reloading (#108761)
  * (d74781) build: add missing index.html to distributed files (#102387)
  * (982bfe) ci: add Jenkinsfile (#102387)
  * (4bfab9) build: add dist rules to Makefile (#102387)
  * (f20798) debian: add copyright file (#102387)
  * (c02216) add AGPL (#102387)
  * (a9fd18) add a few more general words to README (#102387)
  * (173177) add style selection to demo page (#102387)
  * (741912) debian: fix datetime in changelog entry (#102387)
  * (197b8b) debian: rewrite description (#102387)
  * (22682b) add own style (#102401)
  * (9c165d) archive original style as "style-bright.json" (#102387)
  * (92c0ed) debian: remove trailing newlines (#102387)
  * (0766bc) debian: remove generated directories/files (#102387)
  * (346836) build: add .gitignore (#102387)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 11 Aug 2025 12:46:25 +0200
